/*
 * sequencer.h
 *
 * Created: 29.06.2016 17:19:36
 *  Author: rolfd
 */ 


#ifndef SEQUENCER_H_
#define SEQUENCER_H_


struct Sequencer
{
	uint8_t arp_note_stack[16];
	uint8_t arp_note_stack_order[16];
	uint8_t arp_note_size;
	uint8_t arp_step;
	uint8_t seq_mode;
	uint8_t seq_bpm;
	uint8_t seq_div_value;
	uint8_t seq_div;
	uint8_t seq_dir;
	uint8_t seq_hold;
	uint8_t seq_hold_flag;
	uint8_t seq_oct;
	int8_t arp_octave_;
	int8_t arp_direction_;
	uint8_t arp_octave_back_;
	int8_t seq_oct_;
	uint16_t seq_pulswidth_temp;
	uint8_t arp_wait_time;
	uint8_t temp_note;
	uint8_t arp_sort_flag;
	uint8_t draw_note_flag;
	uint8_t draw_step_flag;
	uint8_t played_step_nr;
	uint8_t arp_step_down;
	uint8_t note_activity_flag;
	uint8_t seq_stop_flag;
	
	// alt var
	uint8_t step_note[16];
	uint8_t step_hold[16];
	uint8_t step_function[16];
	uint8_t step_mod[16];
	uint8_t seq_run;
	uint8_t seq_clock_flag;
	uint16_t seq_speed;
	uint32_t seq_speed_temp;
	uint16_t seq_pulswidth;
	//uint8_t seq_note;
	int8_t step_nr;
	uint8_t dir_flag;
	uint8_t selected_step_nr;
	uint8_t seq_func;
	uint8_t seq_shuffle;
	uint8_t seq_rec;
	uint8_t seq_load;
	uint8_t seq_nr;
	uint8_t seq_load_save_flag;
	uint8_t mod_value;
	int8_t running_step_nr;
	
} SEQ;


void sequencer_task(void);
void draw_seq_load_save_query(void);
void draw_seq_value_oct(void);
void sort_notes(uint8_t size);
void Direction(void);


#endif /* SEQUENCER_H_ */