/*
 * wavetable.h
 *
 * Created: 24.06.2016 15:24:21
 *  Author: Rolf Degen
 */

 


#ifndef WAVETABLE_H_
#define WAVETABLE_H_

#include <avr/pgmspace.h>			// Zugriff auf int. flash speicher

const uint8_t LFO_waves[4096];								// LFO waveform table
const uint16_t lut_res_env_portamento_increments[128];		// Envelope curve
const uint16_t sustain_rates[128];							// Sustain rate	
const uint16_t fm_ratio[25];
const uint8_t wav_res_sine[257];
const uint8_t wav_res_bandlimited_triangle_0[257];
const uint8_t wav_res_bandlimited_saw_0[257];	
const uint8_t wav_res_bandlimited_saw_1[257];
const uint8_t wav_res_bandlimited_saw_2[257];
const uint8_t wav_res_bandlimited_saw_3[257];
const uint8_t wav_res_bandlimited_saw_4[257];
const uint8_t wav_res_bandlimited_saw_5[257];

const uint8_t wav_res_bandlimited_square_0[257];
const uint8_t wav_res_bandlimited_square_1[257];
const uint8_t wav_res_bandlimited_square_2[257];
const uint8_t wav_res_bandlimited_square_3[257];
const uint8_t wav_res_bandlimited_square_4[257];
const uint8_t wav_res_bandlimited_square_5[257];
const uint8_t wav_res_bandlimited_square_6[257];
const uint8_t wav_res_bandlimited_square_7[257];
const uint8_t wav_res_bandlimited_square_8[257];
const uint8_t wav_res_bandlimited_square_9[257];
const uint8_t wav_res_bandlimited_square_10[257];
const uint8_t wav_res_bandlimited_square_11[257];
const uint8_t wav_res_bandlimited_square_12[257];
const uint8_t wav_res_bandlimited_square_13[257];
const uint8_t wav_res_bandlimited_square_14[257];
const uint8_t wav_res_bandlimited_square_15[257];
const uint8_t wav_res_distortion[256];

const uint8_t wav_res_env_expo[257];
const uint8_t ascii_code[46];
const uint8_t resonance_curve[16];
const uint8_t resonance_curve2[16];
const uint8_t threshold[128];
const uint16_t LFO_increment[128];
const uint16_t Env_conv10[256];
	



#endif /* WAVETABLE_H_ */