/*
 * xram.c
 *
 * Created: 05.07.2016 19:51:41
 *  Author: Rolf Degen
 */ 

#include "globals.h"
#include "wavetable.h"
#include "xram.h"


//*************************************************************************
// write XRAM
//*************************************************************************
void wr_sram(void)
{
	hugemem_ptr_t   p;
	uint32_t base = BOARD_EBI_SRAM_BASE; // 0x800000UL
	uint_fast8_t    data = 0;
	uint32_t offset = 0x00000;
	p=(hugemem_ptr_t)((uint32_t)base + offset);
	
	for (uint8_t i = 0; i < 128; i++)
	{
		//data = pgm_read_byte (&(waveform[256+i]));
		hugemem_write8(p+i, data);
	}
	
}