/**
 * \file
 *
 * \brief XMEGA-A1 Xplained board configuration template
 *
 */

#ifndef CONF_BOARD_H
#define CONF_BOARD_H

//! State that huge memory access (beyond 64k RAM) should be enabled
#define CONFIG_HAVE_HUGEMEM

//! Base address of SRAM on board
#define BOARD_EBI_SRAM_BASE    0x800000UL

//! Size of SRAM on board, given in bytes: 1 Mb
#define BOARD_EBI_SRAM_SIZE    0xFFFFFUL

#endif // CONF_BOARD_H
