/*
 * LFO.h
 *
 * Created: 23.06.2016 21:04:07
 *  Author: Rolf degen
 */ 


#ifndef LFO_H_
#define LFO_H_


void LFO_Task (void);
void LFO_sample_out(uint8_t lfo_nr, uint8_t sample);

struct LFOs
{
	uint16_t phase[3];
	uint16_t phase_inc[3];
	uint16_t rate[3];
	uint8_t  rate_volume[3];
	uint8_t  run_flag[3];
	uint8_t  sync_flag[3];
	uint8_t  oneshoot_flag[3];
	uint8_t  sample_hold_flag[3];
	uint8_t  out[3];
	uint8_t shape[3];
		
} LFO;

/*
struct LFO_1
{
	uint16_t phase;
	uint16_t phase_inc;
	uint16_t rate;
	uint8_t  rate_volume;
	uint8_t  run_flag;
	uint8_t  sync_flag;
	uint8_t  oneshoot_flag;
	uint8_t  sample_hold_flag;
	uint8_t  out;
	uint8_t shape;
} LFO1;

struct LFO_2
{
	uint16_t phase;
	uint16_t phase_inc;
	uint16_t rate;
	uint8_t  rate_volume;
	uint8_t  run_flag;
	uint8_t  sync_flag;
	uint8_t  oneshoot_flag;
	uint8_t  sample_hold_flag;
	uint8_t  out;
	uint8_t shape;
} LFO2;

struct LFO_3
{
	uint16_t phase;
	uint16_t phase_inc;
	uint16_t rate;
	uint8_t  rate_volume;
	uint8_t  run_flag;
	uint8_t  sync_flag;
	uint8_t  oneshoot_flag;
	uint8_t  sample_hold_flag;
	uint8_t  out;
	uint8_t shape;
} LFO3;
*/


#endif /* LFO_H_ */