/*
 * patch.c
 *
 * Created: 03.07.2016 17:27:50
 *  Author: rolfd
 */ 


#include "globals.h"
#include "display/displ_funktion.h"
#include "SDCARD/sd_card.h"
#include "lfo.h"
#include "filter.h"
#include "voice.h"
#include "init_system.h"
#include "gui.h"
#include "patch.h"




//*************************************************************************
// init Patch
//*************************************************************************
void init_Patch (void)
{
	LED.Port_A = 0;
	
	if (EEPReadByte(0x0002) > 0)
	{
		select_preset = EEPReadByte(0x0000);
		select_presetbank = EEPReadByte(0x0001);
		load_preset_data(); // load last sound patch
		Patch.init_flag = 1;
	}
	else
	{
		select_preset = 0;
		select_presetbank = 0;
		load_init_preset();
		Patch.init_flag = 0;
	}
	
	// clear sample_ram
	print_info_box("init SRAM..",80,70,1);
		
	hugemem_ptr_t p = BOARD_EBI_SRAM_BASE;
	for (__uint24 i = 0; i < 0xEF200; i++)
	{
		hugemem_write8(p+i,127);
	}
	
	// draw Sound page
	draw_menupage_soundprg();
}


